> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/security/ccs/key-pair/describekeypairs.md).

# DescribeKeyPairs

## 1. 接口描述

本接口(DescribeKeyPairs)用于查询密钥对列表。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称     | 必选 | 类型              | 描述                                     |
| -------- | -- | --------------- | -------------------------------------- |
| keyIds   | 否  | Array of String | 根据密钥对ID列表进行筛选。                         |
| keyName  | 否  | String          | <p>根据密钥对名称进行筛选。</p><p>该字段支持模糊搜索。</p>   |
| pageSize | 否  | Integer         | <p>返回的分页大小。</p><p>默认为20，最大为1000。</p>   |
| pageNum  | 否  | Integer         | <p>返回的分页数。</p><p>默认为1。</p><p>默认值：1</p> |

## 3. 响应结果

| 参数名称       | 类型                                                                          | 描述                                                       |
| ---------- | --------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId  | String                                                                      | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                                     | 符合条件的数据总数。                                               |
| dataSet    | Array of [KeyPair](/api-reference/cn/security/ccs/datastructure.md#keypair) | 密钥对结果集。                                                  |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 获取密钥对列表。**

```json
POST /api/v2/ccs HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeKeyPairs
<Common Request Params>

Request：
{
}

Response:
{
  "requestId": "T6818FFFC-B917-4E46-8BEC-D8BBD8FA2AA5",
  "response": {
    "requestId": "T6818FFFC-B917-4E46-8BEC-D8BBD8FA2AA5",
    "dataSet": [
      {
        "keyId": "key-xxxxxxx",
        "keyName": "my-key",
        "keyDescription": "",
        "publicKey": "ssh-rsa xxxxxxxxxx exmaple-key",
        "createTime": "2023-01-01T08:00:00Z"
      }
    ],
    "totalCount": 1
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
